weka.core.pmml.jaxbbindings

## Class MultivariateStat

- java.lang.Object
- - weka.core.pmml.jaxbbindings.MultivariateStat

-     public class MultivariateStat
      extends java.lang.Object

  Java class for MultivariateStat element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="MultivariateStat">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               </sequence>
               <attribute name="category" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="chiSquareValue" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="confidenceLevel" type="{http://www.dmg.org/PMML-4_1}PROB-NUMBER" default="0.95" />
               <attribute name="confidenceLowerBound" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="confidenceUpperBound" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="dF" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="exponent" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" default="1" />
               <attribute name="fStatistic" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="importance" type="{http://www.dmg.org/PMML-4_1}PROB-NUMBER" />
               <attribute name="isIntercept" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
               <attribute name="name" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="pValueAlpha" type="{http://www.dmg.org/PMML-4_1}PROB-NUMBER" />
               <attribute name="pValueFinal" type="{http://www.dmg.org/PMML-4_1}PROB-NUMBER" />
               <attribute name="pValueInitial" type="{http://www.dmg.org/PMML-4_1}PROB-NUMBER" />
               <attribute name="stdError" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="tValue" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultivariateStat()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCategory()` Gets the value of the category property.
    `java.lang.Double` | `getChiSquareValue()` Gets the value of the chiSquareValue property.
    `java.math.BigDecimal` | `getConfidenceLevel()` Gets the value of the confidenceLevel property.
    `java.lang.Double` | `getConfidenceLowerBound()` Gets the value of the confidenceLowerBound property.
    `java.lang.Double` | `getConfidenceUpperBound()` Gets the value of the confidenceUpperBound property.
    `java.lang.Double` | `getDF()` Gets the value of the df property.
    `java.math.BigInteger` | `getExponent()` Gets the value of the exponent property.
    `java.util.List<Extension>` | `getExtension()` Gets the value of the extension property.
    `java.lang.Double` | `getFStatistic()` Gets the value of the fStatistic property.
    `java.math.BigDecimal` | `getImportance()` Gets the value of the importance property.
    `java.lang.String` | `getName()` Gets the value of the name property.
    `java.math.BigDecimal` | `getPValueAlpha()` Gets the value of the pValueAlpha property.
    `java.math.BigDecimal` | `getPValueFinal()` Gets the value of the pValueFinal property.
    `java.math.BigDecimal` | `getPValueInitial()` Gets the value of the pValueInitial property.
    `java.lang.Double` | `getStdError()` Gets the value of the stdError property.
    `java.lang.Double` | `getTValue()` Gets the value of the tValue property.
    `boolean` | `isIsIntercept()` Gets the value of the isIntercept property.
    `void` | `setCategory(java.lang.String value)` Sets the value of the category property.
    `void` | `setChiSquareValue(java.lang.Double value)` Sets the value of the chiSquareValue property.
    `void` | `setConfidenceLevel(java.math.BigDecimal value)` Sets the value of the confidenceLevel property.
    `void` | `setConfidenceLowerBound(java.lang.Double value)` Sets the value of the confidenceLowerBound property.
    `void` | `setConfidenceUpperBound(java.lang.Double value)` Sets the value of the confidenceUpperBound property.
    `void` | `setDF(java.lang.Double value)` Sets the value of the df property.
    `void` | `setExponent(java.math.BigInteger value)` Sets the value of the exponent property.
    `void` | `setFStatistic(java.lang.Double value)` Sets the value of the fStatistic property.
    `void` | `setImportance(java.math.BigDecimal value)` Sets the value of the importance property.
    `void` | `setIsIntercept(java.lang.Boolean value)` Sets the value of the isIntercept property.
    `void` | `setName(java.lang.String value)` Sets the value of the name property.
    `void` | `setPValueAlpha(java.math.BigDecimal value)` Sets the value of the pValueAlpha property.
    `void` | `setPValueFinal(java.math.BigDecimal value)` Sets the value of the pValueFinal property.
    `void` | `setPValueInitial(java.math.BigDecimal value)` Sets the value of the pValueInitial property.
    `void` | `setStdError(java.lang.Double value)` Sets the value of the stdError property.
    `void` | `setTValue(java.lang.Double value)` Sets the value of the tValue property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultivariateStat

          public MultivariateStat()

  - ### Method Detail

    - #### getExtension

          public java.util.List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

    - #### getCategory

          public java.lang.String getCategory()

      Gets the value of the category property.
      Returns:
        possible object is `String`

    - #### setCategory

          public void setCategory(java.lang.String value)

      Sets the value of the category property.
      Parameters:
        `value` - allowed object is `String`

    - #### getChiSquareValue

          public java.lang.Double getChiSquareValue()

      Gets the value of the chiSquareValue property.
      Returns:
        possible object is `Double`

    - #### setChiSquareValue

          public void setChiSquareValue(java.lang.Double value)

      Sets the value of the chiSquareValue property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getConfidenceLevel

          public java.math.BigDecimal getConfidenceLevel()

      Gets the value of the confidenceLevel property.
      Returns:
        possible object is `BigDecimal`

    - #### setConfidenceLevel

          public void setConfidenceLevel(java.math.BigDecimal value)

      Sets the value of the confidenceLevel property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### getConfidenceLowerBound

          public java.lang.Double getConfidenceLowerBound()

      Gets the value of the confidenceLowerBound property.
      Returns:
        possible object is `Double`

    - #### setConfidenceLowerBound

          public void setConfidenceLowerBound(java.lang.Double value)

      Sets the value of the confidenceLowerBound property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getConfidenceUpperBound

          public java.lang.Double getConfidenceUpperBound()

      Gets the value of the confidenceUpperBound property.
      Returns:
        possible object is `Double`

    - #### setConfidenceUpperBound

          public void setConfidenceUpperBound(java.lang.Double value)

      Sets the value of the confidenceUpperBound property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getDF

          public java.lang.Double getDF()

      Gets the value of the df property.
      Returns:
        possible object is `Double`

    - #### setDF

          public void setDF(java.lang.Double value)

      Sets the value of the df property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getExponent

          public java.math.BigInteger getExponent()

      Gets the value of the exponent property.
      Returns:
        possible object is `BigInteger`

    - #### setExponent

          public void setExponent(java.math.BigInteger value)

      Sets the value of the exponent property.
      Parameters:
        `value` - allowed object is `BigInteger`

    - #### getFStatistic

          public java.lang.Double getFStatistic()

      Gets the value of the fStatistic property.
      Returns:
        possible object is `Double`

    - #### setFStatistic

          public void setFStatistic(java.lang.Double value)

      Sets the value of the fStatistic property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getImportance

          public java.math.BigDecimal getImportance()

      Gets the value of the importance property.
      Returns:
        possible object is `BigDecimal`

    - #### setImportance

          public void setImportance(java.math.BigDecimal value)

      Sets the value of the importance property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### isIsIntercept

          public boolean isIsIntercept()

      Gets the value of the isIntercept property.
      Returns:
        possible object is `Boolean`

    - #### setIsIntercept

          public void setIsIntercept(java.lang.Boolean value)

      Sets the value of the isIntercept property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getName

          public java.lang.String getName()

      Gets the value of the name property.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(java.lang.String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPValueAlpha

          public java.math.BigDecimal getPValueAlpha()

      Gets the value of the pValueAlpha property.
      Returns:
        possible object is `BigDecimal`

    - #### setPValueAlpha

          public void setPValueAlpha(java.math.BigDecimal value)

      Sets the value of the pValueAlpha property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### getPValueFinal

          public java.math.BigDecimal getPValueFinal()

      Gets the value of the pValueFinal property.
      Returns:
        possible object is `BigDecimal`

    - #### setPValueFinal

          public void setPValueFinal(java.math.BigDecimal value)

      Sets the value of the pValueFinal property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### getPValueInitial

          public java.math.BigDecimal getPValueInitial()

      Gets the value of the pValueInitial property.
      Returns:
        possible object is `BigDecimal`

    - #### setPValueInitial

          public void setPValueInitial(java.math.BigDecimal value)

      Sets the value of the pValueInitial property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### getStdError

          public java.lang.Double getStdError()

      Gets the value of the stdError property.
      Returns:
        possible object is `Double`

    - #### setStdError

          public void setStdError(java.lang.Double value)

      Sets the value of the stdError property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getTValue

          public java.lang.Double getTValue()

      Gets the value of the tValue property.
      Returns:
        possible object is `Double`

    - #### setTValue

          public void setTValue(java.lang.Double value)

      Sets the value of the tValue property.
      Parameters:
        `value` - allowed object is `Double`